CometAPI ile Runway Control a character API kullanarak bir referans videodan karakter performansı görevleri başlatın; yüz ifadelerini ve vücut hareketlerini yönlendirin.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/character_performance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"character": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"reference": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"bodyControl": true,
"expressionIntensity": 3,
"seed": 4294967295,
"model": "act_two",
"ratio": "1280:720",
"contentModeration": {
"publicFigureThreshold": "auto"
}
}
'{
"id": "<string>"
}X-Runway-Version header’ını gönderin, örneğin 2024-11-06model: act_two kullanıncharacter asset’i ve bir reference asset’i sağlayınbodyControl: true ve orta düzeyde bir expressionIntensity ile başlayınKarakter performansı isteğini gönderin
Döndürülen görev kimliğini saklayın
id değerini saklayın; çünkü daha sonra polling için buna ihtiyacınız olacak.Görev durumunu sorgulayın
character, canlandırmak istediğiniz özneyi ifade ederreference, yüz performansını veya vücut hareketini sağlayan kaynak kliptirbodyControl, hareket aktarımının ifade aktarımına ek olarak vücut hareketini de içerip içermeyeceğini belirlercontentModeration, isteğe sağlayıcının moderasyon eşiklerini uygularBearer token authentication. Use your CometAPI key.
Runway version header, for example 2024-11-06.
The character to control. You can either provide a video or an image.
Show child attributes
Reference performance clip. Provide type (video) and uri (HTTPS URL).
Show child attributes
Enable body control.
Intensity of the expression transfer. Higher values produce more exaggerated expressions.
Random seed for reproducible results.
The model variant to use. Must be act_two.
Aspect ratio of the output video, e.g. 1280:720.
Show child attributes
Task accepted.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/character_performance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"character": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"reference": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"bodyControl": true,
"expressionIntensity": 3,
"seed": 4294967295,
"model": "act_two",
"ratio": "1280:720",
"contentModeration": {
"publicFigureThreshold": "auto"
}
}
'{
"id": "<string>"
}